/* lmpinput.h
 *
 * Copyright (C) 1999-2000 Bernhard Pietsch <bjtp@gmx.net>
 *
 * This file is part of LMP library.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */

#ifndef __LMPINPUT_H
#define __LMPINPUT_H

#include <stdlib.h>
#include <string.h>

#undef FCVT

#ifdef HAVE_LONG_DOUBLE
# ifdef HAVE_QFCVT
#  define FCVT(v,p,d,n)  qfcvt (v, p, d, n)
# endif
#endif

#if ! defined (FCVT) && defined (HAVE_FCVT)
# define FCVT(v,p,d,n)   fcvt (v, p, d, n)
#endif

#ifdef HAVE_STRTOUL
# define STRTOVAL(a,b,c) strtoul (a, b, c)
#else
# define STRTOVAL(a,b,c) strtol (a, b, c)
#endif

#if defined (HAVE_STRTOLD) && defined (HAVE_LONG_DOUBLE)
# define STRTOFVAL(a,b) strtold (a, b)
#else
# define STRTOFVAL(a,b) strtod (a, b)
#endif

#ifdef HAVE_STRSEP
# define GETTOKEN(s,p) strsep (&s, p)
#else
# ifdef HAVE_STRTOK
#  define GETTOKEN(s,p) strtok(s,p)
# else
#  error No strtok or strsep.
# endif
#endif

#ifdef HAVE_LONG_DOUBLE
# define FREAL "Lf"
#else
# define FREAL "f"
#endif

#endif
